Get news slug

View as Markdown
Returns the current slug, canonical path, and public URL.

Authentication

AuthorizationBearer

User bearer token: Supabase or Clerk session JWT, Clerk OAuth access token, or Clerk personal API key

OR
X-API-Keystring

Admin API key for system-to-system write operations

OR
X-Client-Secretstring

Client secret for read-only service-to-service access (no writes)

Path parameters

newsIdintegerRequired
News article id

Response

OK
idstring
pathstring
resourceTypeenum
Resource type whose slug is being changed
slugstring
urlstring
entityTypestring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error